Bug 247271 - X.org "nv" driver: DDC fails
X.org "nv" driver: DDC fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 11:22 EDT by Milan Kerslager
Modified: 2009-01-09 02:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:10:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Non-working log from X server (wide 1680x1050 LCD Benq Senseye FP222W a) (42.88 KB, text/plain)
2007-07-06 11:27 EDT, Milan Kerslager
no flags Details
X.org config file (1.03 KB, text/plain)
2007-08-04 04:52 EDT, Milan Kerslager
no flags Details
X.org server log for provided config file (41.53 KB, text/plain)
2007-08-04 05:16 EDT, Milan Kerslager
no flags Details
X server log: Fedora 8 Test 2 + latest update from devel tree (40.13 KB, text/plain)
2007-09-07 15:41 EDT, Milan Kerslager
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 8538 None None None Never

  None (edit)
Description Milan Kerslager 2007-07-06 11:22:41 EDT
I'm unable to run X in native resolution on my LCD display because "nv" driver
is unable to detect monitor's details. I was told that there are timing issues
in the RHEL5 (see bug #234401) and then in F7 prereleases but the problem still
persist. When I'm forcing the correct resolution maually, both my LCD monitors
reports "Out of range (the first has 1024x768 and 1680x1050 on the wide one).

I have "nVidia Corporation C51PV [GeForce 6150]" graphics onboard chip on ASUS
M2NPV-MX motherboard. The resolution is detected correctly with borrowed ATI card.
Comment 1 Milan Kerslager 2007-07-06 11:27:10 EDT
Created attachment 158666 [details]
Non-working log from X server (wide 1680x1050 LCD Benq Senseye FP222W a)
Comment 2 Adam Jackson 2007-07-31 13:26:08 EDT
You appear to have an unreasonably large horizontal sync range in your config file:

(II) NV(0): Monitor0: Using hsync range of 31.50-90.00 kHz

1680x1050 @60Hz is only 66kHz horizontal.  Try changing that sync range to be
something less broken.  (Also, please attach your X config file.)
Comment 3 Milan Kerslager 2007-08-04 04:52:39 EDT
Created attachment 160687 [details]
X.org config file
Comment 4 Milan Kerslager 2007-08-04 05:16:11 EDT
Created attachment 160688 [details]
X.org server log for provided config file
Comment 5 Milan Kerslager 2007-08-04 05:22:23 EDT
When the server is switched to 1280x1024@56Hz, I'm able to work with X.
Comment 6 Adam Jackson 2007-08-06 15:50:48 EDT
Looking at hwdata, I see that MonitorsDB is probably the source of the
ridiculous range.  I've fixed the ranges to be more sensible in hwdata 0.207.
Comment 7 Adam Jackson 2007-09-06 16:30:33 EDT
Having finally fixed the hwdata build in rawhide (i wasn't in the acl for some
reason), I think this one is closed.  The later log provided shows the driver
correctly selecting 1680x1050.
Comment 8 Milan Kerslager 2007-09-07 13:56:15 EDT
I tryed "F8 Test 2" and full update (hwdata-0.206-1.fc8) with no luck.
The driver is still unable to perform DDC nor EDID.
Moreover 1024x768 is unavailable and lower resolutions leads to "Unsupported
input" on my 1024x768 LCD (again, ATI card&driver is able to autodetect LCD).
Comment 9 Milan Kerslager 2007-09-07 14:36:29 EDT
External reference to Freedesktop bug #8538 added.
Comment 10 Milan Kerslager 2007-09-07 15:41:30 EDT
Created attachment 190371 [details]
X server log: Fedora 8 Test 2 + latest update from devel tree
Comment 11 Larry Thiel 2007-10-15 12:30:30 EDT
Still broken in fc7. I installed on a dual core amd  from dell, with geforce
6150 (I think, but kudsu seems to call it a 6100) a few weeks ago. It installed
with the wide hsync range noted above. Fixing that manually in xorg.conf doesn't
help. I tried 65.0-67.0, and 60.0-70.0. No visible change. And the log file
complains bitterly about hsync out of range for many settings. What should I be
using?? 

It seems to get the wrong mode clock (insists on 119.0, but the monitor spec is
146.25). Largest resolution I get is 1400x1050, but the top 1/4 inch is off the
screen (windows aligned at top show without the title bar). Is the height set at
1024? I forced 1680x1050 as a choice in xorg.conf, but just get a big virtual
screen that hangs off on both sides. Incidentally, vista gets it right, but with
drivers preinstalled (and perhaps fiddled) by Dell. The bios is also dell's.

I can provide more info if you want (kudzu, xorg.conf, or the log file). BTW,
the initial install was with a 1280x1024 crt, not the wide panel, so that may be
significant, though of course it shouldn't be.
Comment 12 Milan Kerslager 2007-11-27 18:17:53 EST
F8 still has the problem (even a little bit progress). Changing Version to F8.
Comment 13 focus.water 2008-10-18 10:16:37 EDT
This bug still hasn't been fixed...
Comment 14 Bug Zapper 2008-11-26 02:33:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-01-09 02:10:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.